# Uses of Class
org.eclipse.ecf.core.util.Proxy

Packages that use Proxy
Package
Description
org.eclipse.ecf.core.util
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve
org.eclipse.ecf.provider.filetransfer.util

## Uses of Proxy in org.eclipse.ecf.core.util

Fields in org.eclipse.ecf.core.util declared as Proxy
Modifier and Type
Field
Description
`static final Proxy`
Proxy.`NO_PROXY`

## Uses of Proxy in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer with parameters of type Proxy
Modifier and Type
Method
Description
`void`
IRemoteFileSystemBrowserContainerAdapter.`setProxy(Proxy proxy)`
Set proxy for use upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.
`void`
IRetrieveFileTransferContainerAdapter.`setProxy(Proxy proxy)`
Set proxy for use upon subsequent `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(IFileID, IFileTransferListener, Map)`.
`void`
ISendFileTransferContainerAdapter.`setProxy(Proxy proxy)`
Set proxy for use upon subsequent `ISendFileTransferContainerAdapter.sendOutgoingRequest(IFileID, IFileTransferInfo, IFileTransferListener, Map)`.

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.browse

Fields in org.eclipse.ecf.provider.filetransfer.browse declared as Proxy
Modifier and Type
Field
Description
`protected Proxy`
AbstractFileSystemBrowser.`proxy`
Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type Proxy
Modifier and Type
Method
Description
`void`
MultiProtocolFileSystemBrowserAdapter.`setProxy(Proxy proxy)`
`protected abstract void`
AbstractFileSystemBrowser.`setupProxy(Proxy proxy)`
`protected void`
LocalFileSystemBrowser.`setupProxy(Proxy proxy)`
`protected void`
URLFileSystemBrowser.`setupProxy(Proxy proxy2)`
Constructors in org.eclipse.ecf.provider.filetransfer.browse with parameters of type Proxy
Modifier
Constructor
Description
``
`AbstractFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL url, IConnectContext connectContext, Proxy proxy)`
``
`URLFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type Proxy
Modifier and Type
Method
Description
`static org.apache.http.auth.NTCredentials`
HttpClientRetrieveFileTransfer.`createNTLMCredentials(Proxy p)`
`protected static String`
HttpClientRetrieveFileTransfer.`getNTLMDomainName(Proxy p)`
`protected static String`
HttpClientRetrieveFileTransfer.`getNTLMUserName(Proxy p)`
`protected void`
HttpClientFileSystemBrowser.`setupProxy(Proxy proxy)`
`protected void`
HttpClientRetrieveFileTransfer.`setupProxy(Proxy proxy)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type Proxy
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.DefaultHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type Proxy
Modifier and Type
Method
Description
`protected void`
HttpClientFileSystemBrowser.`setupProxy(Proxy proxy)`
`protected void`
HttpClientRetrieveFileTransfer.`setupProxy(Proxy proxy)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type Proxy
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type Proxy
Modifier and Type
Method
Description
`protected void`
HttpClientFileSystemBrowser.`setupProxy(Proxy proxy)`
`protected void`
HttpClientRetrieveFileTransfer.`setupProxy(Proxy proxy)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type Proxy
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.outgoing

Fields in org.eclipse.ecf.provider.filetransfer.outgoing declared as Proxy
Modifier and Type
Field
Description
`protected Proxy`
AbstractOutgoingFileTransfer.`proxy`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type Proxy
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`setProxy(Proxy proxy)`
`void`
MultiProtocolOutgoingAdapter.`setProxy(Proxy proxy)`
`protected abstract void`
AbstractOutgoingFileTransfer.`setupProxy(Proxy proxy)`
`protected void`
AbstractUrlConnectionOutgoingFileTransfer.`setupProxy(Proxy proxy2)`
`protected void`
LocalFileOutgoingFileTransfer.`setupProxy(Proxy proxy)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.retrieve

Fields in org.eclipse.ecf.provider.filetransfer.retrieve declared as Proxy
Modifier and Type
Field
Description
`protected Proxy`
AbstractRetrieveFileTransfer.`proxy`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type Proxy
Modifier and Type
Method
Description
`void`
AbstractRetrieveFileTransfer.`setProxy(Proxy proxy)`
`void`
MultiProtocolRetrieveAdapter.`setProxy(Proxy proxy)`
`protected abstract void`
AbstractRetrieveFileTransfer.`setupProxy(Proxy proxy)`
Setup ECF proxy.
`protected void`
UrlConnectionRetrieveFileTransfer.`setupProxy(Proxy proxy2)`

## Uses of Proxy in org.eclipse.ecf.provider.filetransfer.util

Methods in org.eclipse.ecf.provider.filetransfer.util that return Proxy
Modifier and Type
Method
Description
`static Proxy`
ProxySetupHelper.`getProxy(String url)`
`static Proxy`
ProxySetupHelper.`getSocksProxy(URL url)`
Methods in org.eclipse.ecf.provider.filetransfer.util with parameters of type Proxy
Modifier and Type
Method
Description
`void`
JREProxyHelper.`setupProxy(Proxy proxy2)`